=== debian/changelog ===
aurora (1.6.7-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - update standards version
    - versioned build dependencies for debhelper and quilt
  * debian/source: added per lintian

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 18 Jan 2011 10:26:47 -0600

aurora (1.6.6-0ubuntu1) maverick; urgency=low

  * New upstream release (bug fixes)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 20 Aug 2010 14:32:11 -0500

aurora (1.6.4-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 25 Jul 2010 03:51:14 +0200

aurora (1.6.3-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 24 Jul 2010 21:20:44 +0200

aurora (1.6.0-0ubuntu3) lucid; urgency=low

  * debian/control: add quilt to build depends, fix FTBFS

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 25 Mar 2010 21:43:38 -0700

aurora (1.6.0-0ubuntu2) lucid; urgency=low

  * debian/rules: apply patches
  * debian/patches/fix_build.patch: drop specific flags that cause
    FTBFS on non-x86 arches

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 25 Mar 2010 18:58:19 -0700

aurora (1.6.0-0ubuntu1) lucid; urgency=low

  * Merge from upstream, has a few stabilization fixes
  * Drop local manpage, since this is now upstream

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 23 Mar 2010 13:03:03 -0700

aurora (1.5.7-0ubuntu1) lucid; urgency=low

  * Initial packaging for Ubuntu, LP: #538533
  * Manpage has been sent upstream, should be dropped in a future upload

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 13 Mar 2010 12:34:32 -0600
