=== debian/changelog ===
aurora (1.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches/series: dropped build patch

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 18 Sep 2011 19:39:23 -0500

aurora (1.6.8-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches/fix_build.patch: updated
  * debian/control: bump standards

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 30 Jul 2011 12:41:17 -0500
