## aurora 1.7.3

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 CC = gcc
 CFLAGS = -O2 -Wall -I/usr/include -I./include
+OFILES = main.o comm.o
 
 INSTALLSITEMAN1DIR = ${mandir}/man1
 DISTMAN1DIR = docs/man
@@ -18,6 +19,7 @@
 
 BIT := $(shell getconf LONG_BIT)
 BIT64 = -Dbit$(BIT)
+CFLAGS += $(BIT64)
 
 GCCVER = $(shell expr `gcc -dumpversion` \>= 4.2)
 
@@ -73,9 +75,11 @@
 
 ifneq "$(strip $(ARCH))" ""
 ARCH2 = $(shell echo ${ARCH} | awk '{for (i =1; i <= NF; i++) print "-march="$$i}')
+CFLAGS += $(ARCH2)
 endif
 ifneq "$(strip $(TUNE))" ""
 TUNE2 = $(shell echo ${TUNE} | awk '{for (i =1; i <= NF; i++) print "-mtune="$$i}')
+CFLAGS += $(TUNE2)
 endif
 
 TARGET = aurora
@@ -84,8 +88,8 @@
 
 all:	$(TARGET)
 
-$(TARGET): check main.o comm.o
-	$(CC) main.o comm.o -o $(TARGET)
+$(TARGET): check $(OFILES)
+	$(CC) $(OFILES) -o $(TARGET)
 
 check:
 ifeq ($(BIT),64)
@@ -106,17 +110,17 @@
 endif
 	@echo
 
-main.o: main.c include/main.h include/comm.h include/names.h include/states.h
-	$(CC) $(CFLAGS) $(BIT64) $(ARCH2) $(TUNE2) -c main.c
+main.o: Makefile main.c include/main.h include/comm.h include/names.h include/states.h
+	$(CC) $(CFLAGS) -c main.c
 
-comm.o: comm.c include/main.h include/comm.h include/names.h include/states.h
-	$(CC) $(CFLAGS) $(BIT64) $(ARCH2) $(TUNE2) -c comm.c
+comm.o: Makefile comm.c include/main.h include/comm.h include/names.h include/states.h
+	$(CC) $(CFLAGS) -c comm.c
 
 clean:
 	rm -f $(TARGET) *.o
 
 install: aurora
-	install -m 0700 $(TARGET) $(bindir)
+	install -m 4711 $(TARGET) $(bindir)
 	install -m 0644 ${DISTMAN1DIR}/$(TARGET).1 ${INSTALLSITEMAN1DIR}
 
 uninstall:
