=== debian/changelog ===
aurora (1.7.3-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 15 Nov 2011 12:08:03 -0600

aurora (1.7.1-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 17 Oct 2011 14:05:43 -0500
