## aurora 1.8.8

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,11 @@
 
 GCCVER = $(shell expr `gcc -dumpversion` \>= 4.2)
 
-GFLAGS1 = $(shell echo 'int main(){return 0;}' > /tmp/test-arch-tune.c && gcc -v -Q -march=native -O2 /tmp/test-arch-tune.c -o /tmp/test-arch-tune 2>&1 | sed -e 's/[\(|\)]//g' | grep march && rm /tmp/test-arch-tune.c)
+GFLAGS1 = $(shell echo 'int main(){return 0;}' > /tmp/test-arch-tune.c && gcc -v -Q -march=native -O2 /tmp/test-arch-tune.c -o /tmp/test-arch-tune 2>&1 | sed -e 's/[\(|\)]//g' | grep march && rm /tmp/test-arch-tune*)
 GNONATIVE = $(shell echo ${GFLAGS1} | grep -e "error" -e "bad value native" | awk '{for (i =1; i <= NF; i++) print $$i}' | grep -e "bad" -e "error")
+GGMTOFF = $(shell echo '\#include <time.h>' > /tmp/test-arch-tune.c && echo 'int main(){long int g;struct tm t;g = t.tm_gmtoff;return (g);}' >> /tmp/test-arch-tune.c && gcc -march=native -O2 /tmp/test-arch-tune.c -o /tmp/test-arch-tune 2>&1 && rm /tmp/test-arch-tune*)
 ifeq "$(strip $(GNONATIVE))" ""
-GFLAGS = $(shell echo ${GFLAGS1} | awk '{for (i =1; i <= NF; i++) print $$i}' | grep -e "^-march=" -e "^-mtune=" | sort -u && rm /tmp/test-arch-tune)
+GFLAGS = $(shell echo ${GFLAGS1} | awk '{for (i =1; i <= NF; i++) print $$i}' | grep -e "^-march=" -e "^-mtune=" | sort -u)
 endif
 
 ifdef GFLAGS
@@ -73,6 +74,9 @@
 endif
 endif
 
+ifneq "$(strip $(GGMTOFF))" ""
+CFLAGS += -DNO_TM_GMTOFF
+endif
 ifneq "$(strip $(ARCH))" ""
 ARCH2 = $(shell echo ${ARCH} | awk '{for (i =1; i <= NF; i++) print "-march="$$i}')
 CFLAGS += $(ARCH2)
@@ -90,6 +94,7 @@
 
 $(TARGET): check $(OFILES)
 	$(CC) $(OFILES) -o $(TARGET)
+	chmod 4711 $(TARGET)
 
 check:
 ifeq ($(BIT),64)
