=== debian/changelog ===
aurora (1.8.8-0ubuntu1) vivid; urgency=medium

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 27 Jan 2015 20:37:21 -0600

aurora (1.8.7-0ubuntu1) vivid; urgency=medium

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 26 Jan 2015 18:19:31 -0600
