## aurora 1.9.3

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # ** ONLY IF ** automatic determination of these compile flags is
 # not working properly. uncommenting these variables will override 
 # automatic determination of them
+# To disable -march set: ARCH = NONE
+# -mtune cannot be disabled but can be manually set here
 #ARCH = native
 #TUNE = native
 
@@ -19,7 +21,8 @@
 
 BIT := $(shell getconf LONG_BIT)
 BIT64 = -Dbit$(BIT)
-CFLAGS += $(BIT64)
+# bit32/64 compiler flag no longer used
+#CFLAGS += $(BIT64)
 
 GCCVER = $(shell expr `gcc -dumpversion` \>= 4.2)
 
@@ -77,9 +80,11 @@
 ifneq "$(strip $(GGMTOFF))" ""
 CFLAGS += -DNO_TM_GMTOFF
 endif
+ifneq "$(ARCH)" "NONE"
 ifneq "$(strip $(ARCH))" ""
 ARCH2 = $(shell echo ${ARCH} | awk '{for (i =1; i <= NF; i++) print "-march="$$i}')
 CFLAGS += $(ARCH2)
+endif
 endif
 ifneq "$(strip $(TUNE))" ""
 TUNE2 = $(shell echo ${TUNE} | awk '{for (i =1; i <= NF; i++) print "-mtune="$$i}')
@@ -97,16 +102,22 @@
 	chmod 4711 $(TARGET)
 
 check:
+ifeq "$(ARCH)" "NONE"
+	@echo -n "Compiling for "
+else
 ifeq ($(BIT),64)
 	@echo -n "Compiling for 64bit "
 else
 	@echo -n "Compiling for 32bit "
 endif
+endif
 ifneq "$(strip $(GNONATIVE))" ""
 	@echo -n "NoNative "
 endif
 ifdef ARCH
+ifneq "$(ARCH)" "NONE"
 	@echo -n "$(ARCH) "
+endif
 endif
 ifdef TUNE
 ifneq ($(ARCH),$(TUNE))
