=== debian/changelog ===
aurora (1.9.3-0ubuntu1) yakkety; urgency=medium

  * new upstream release
  * per maintainer (Curtis Blank), we should set ARCH=NONE, TUNE=generic
    in our Makefile

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 01 Aug 2016 16:23:50 -0500

aurora (1.9.1-0ubuntu1) yakkety; urgency=medium

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 06 Jul 2016 15:11:39 -0500

aurora (1.9.0-0ubuntu1) yakkety; urgency=medium

  * new upstream release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 06 Jul 2016 12:39:40 -0500
