## aurora 1.9.4

=== debian/changelog ===
aurora (1.9.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/watch: Added.
  * debian/patches/build: Remove (unused/unneeded).

 -- Logan Rosen <logan@ubuntu.com>  Wed, 06 Jan 2021 17:28:34 -0500
