=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.curtronics.com/Solar/AuroraData.html
 
 Package: aurora
